Bug 989231 - "Metadata file does not match checksum" too often and doesn't auto-correct
"Metadata file does not match checksum" too often and doesn't auto-correct
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 10:30 EDT by Kamil Páral
Modified: 2015-02-18 09:02 EST (History)
14 users (show)

See Also:
Fixed In Version: yum-3.4.3-106.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:02:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rene: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-07-28 10:30:04 EDT
Description of problem:

I have seen this error several times since I upgraded to F19. I also heard several reports from my colleagues. It did not happen on F18. It must be a recent regression.

Sometimes I see hundreds of lines "Metadata file does not match checksum" and the local metadata don't get refreshed (see `repolist -v` timestamps and compare with `date` output). "yum clean all" fixes the problem, but I have to run it manually, it doesn't auto-correct. I never had the patience to wait several days to see if it auto-corrects after a long time, but this time it seems I have 3 days outdated metadata and the problem still persists).


$ date
Sun Jul 28 16:04:22 CEST 2013


$ sudo yum repolist fedora*
Loaded plugins: changelog, langpacks, refresh-packagekit
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
repo id                                                   repo name                                                         status
fedora/19/x86_64                                          Fedora 19 - x86_64                                                36,253
updates/19/x86_64                                         Fedora 19 - x86_64 - Updates                                       9,358
updates-testing/19/x86_64                                 Fedora 19 - x86_64 - Test Updates                                  2,017
repolist: 47,628


$ sudo yum repolist -v fedora*
Loading "changelog" plugin
Loading "langpacks" plugin
Loading "refresh-packagekit" plugin
Adding en_US to language list
Config time: 0.017
Adding cs to language list
Yum version: 3.4.3
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
Setting up Package Sacks
pkgsack time: 0.019
Repo-id      : fedora/19/x86_64
Repo-name    : Fedora 19 - x86_64
Repo-status  : enabled
Repo-revision: 1372417620
Repo-tags    : binary-x86_64
Repo-distro-tags: [cpe:/o:fedoraproject:fedora:19]: Schrödinger's Cat
Repo-updated : Fri Jun 28 13:44:05 2013
Repo-pkgs    : 36,253
Repo-size    : 36 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=fedora-19&arch=x86_64
  Updated    : Fri Jun 28 13:44:05 2013
Repo-baseurl : http://mirror.hosting90.cz/fedora/linux/releases/19/Everything/x86_64/os/ (91 more)
Repo-expire  : 604,800 second(s) (last: Thu Jul 25 17:36:14 2013)
Repo-filename: ///etc/yum.repos.d/fedora.repo

Repo-id      : updates/19/x86_64
Repo-name    : Fedora 19 - x86_64 - Updates
Repo-status  : enabled
Repo-revision: 1374693604
Repo-tags    : binary-x86_64
Repo-updated : Wed Jul 24 21:35:08 2013
Repo-pkgs    : 9,358
Repo-size    : 9.2 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f19&arch=x86_64
  Updated    : Wed Jul 24 21:35:08 2013
Repo-baseurl : http://ftp.fi.muni.cz/pub/linux/fedora/linux/updates/19/x86_64/ (79 more)
Repo-expire  : 21,600 second(s) (last: Thu Jul 25 19:14:11 2013)
Repo-filename: ///etc/yum.repos.d/fedora-updates.repo

Repo-id      : updates-testing/19/x86_64
Repo-name    : Fedora 19 - x86_64 - Test Updates
Repo-status  : enabled
Repo-revision: 1374695309
Repo-tags    : binary-x86_64
Repo-updated : Wed Jul 24 21:51:45 2013
Repo-pkgs    : 2,017
Repo-size    : 2.7 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f19&arch=x86_64
  Updated    : Wed Jul 24 21:51:45 2013
Repo-baseurl : http://mirror.karneval.cz/pub/linux/fedora/linux/updates/testing/19/x86_64/ (68 more)
Repo-expire  : 21,600 second(s) (last: Thu Jul 25 19:14:11 2013)
Repo-filename: ///etc/yum.repos.d/fedora-updates-testing.repo

repolist: 47,628


$ yum search foobarbaz
Loaded plugins: changelog, langpacks, refresh-packagekit
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
updates/19/x86_64/pkgtags                                                                                  | 317 kB  00:00:00     
http://ftp.upjs.sk/pub/fedora/linux/updates/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/19/x86_64/pkgtags                                                                                  | 317 kB  00:00:00     
http://mirror.slu.cz/fedora/linux/updates/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/19/x86_64/pkgtags                                                                                  | 317 kB  00:00:00     
http://mirror.i3d.net/pub/fedora/linux/updates/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/19/x86_64/pkgtags                                                                                  | 317 kB  00:00:00     
http://mirror.karneval.cz/pub/linux/fedora/linux/updates/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/19/x86_64/pkgtags                                                                                  | 317 kB  00:00:00     
http://ftp.icm.edu.pl/pub/Linux/fedora/linux/updates/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/19/x86_64/pkgtags                                                                                  | 317 kB  00:00:00     
http://mirror.hosting90.cz/fedora/linux/updates/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
<snip>
[.... a few hundred lines and minutes later...]
</snip>
http://ftp.lip6.fr/ftp/pub/linux/distributions/fedora/updates/testing/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.arlug.ro/pub/fedora/linux/updates/testing/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno 14] HTTP Error 404 - Not Found
http://ftp.rhnet.is/pub/fedora/linux/updates/testing/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno 14] HTTP Error 404 - Not Found
ftp://mirror.root.lu/fedora/updates/testing/19/x86_64/repodata/pkgtags.sqlite.gz: [Errno 14] FTP Error 550 - Server denied you to change to the given directory
Warning: No matches found for: foobarbaz
No matches found


$ sudo yum repolist fedora*
Loaded plugins: changelog, langpacks, refresh-packagekit
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
repo id                                                   repo name                                                         status
fedora/19/x86_64                                          Fedora 19 - x86_64                                                36,253
updates/19/x86_64                                         Fedora 19 - x86_64 - Updates                                       9,358
updates-testing/19/x86_64                                 Fedora 19 - x86_64 - Test Updates                                  2,017
repolist: 47,628


$ sudo yum repolist -v fedora*
Loading "changelog" plugin
Loading "langpacks" plugin
Loading "refresh-packagekit" plugin
Adding en_US to language list
Config time: 0.017
Adding cs to language list
Yum version: 3.4.3
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
Setting up Package Sacks
pkgsack time: 0.019
Repo-id      : fedora/19/x86_64
Repo-name    : Fedora 19 - x86_64
Repo-status  : enabled
Repo-revision: 1372417620
Repo-tags    : binary-x86_64
Repo-distro-tags: [cpe:/o:fedoraproject:fedora:19]: Schrödinger's Cat
Repo-updated : Fri Jun 28 13:44:05 2013
Repo-pkgs    : 36,253
Repo-size    : 36 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=fedora-19&arch=x86_64
  Updated    : Fri Jun 28 13:44:05 2013
Repo-baseurl : http://mirror.hosting90.cz/fedora/linux/releases/19/Everything/x86_64/os/ (91 more)
Repo-expire  : 604,800 second(s) (last: Thu Jul 25 17:36:14 2013)
Repo-filename: ///etc/yum.repos.d/fedora.repo

Repo-id      : updates/19/x86_64
Repo-name    : Fedora 19 - x86_64 - Updates
Repo-status  : enabled
Repo-revision: 1374693604
Repo-tags    : binary-x86_64
Repo-updated : Wed Jul 24 21:35:08 2013
Repo-pkgs    : 9,358
Repo-size    : 9.2 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f19&arch=x86_64
  Updated    : Wed Jul 24 21:35:08 2013
Repo-baseurl : http://ftp.fi.muni.cz/pub/linux/fedora/linux/updates/19/x86_64/ (79 more)
Repo-expire  : 21,600 second(s) (last: Thu Jul 25 19:14:11 2013)
Repo-filename: ///etc/yum.repos.d/fedora-updates.repo

Repo-id      : updates-testing/19/x86_64
Repo-name    : Fedora 19 - x86_64 - Test Updates
Repo-status  : enabled
Repo-revision: 1374695309
Repo-tags    : binary-x86_64
Repo-updated : Wed Jul 24 21:51:45 2013
Repo-pkgs    : 2,017
Repo-size    : 2.7 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f19&arch=x86_64
  Updated    : Wed Jul 24 21:51:45 2013
Repo-baseurl : http://mirror.karneval.cz/pub/linux/fedora/linux/updates/testing/19/x86_64/ (68 more)
Repo-expire  : 21,600 second(s) (last: Thu Jul 25 19:14:11 2013)
Repo-filename: ///etc/yum.repos.d/fedora-updates-testing.repo

repolist: 47,628


$ sudo yum makecache
Loaded plugins: changelog, langpacks, refresh-packagekit
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
Java_esmska                                                                                                | 1.7 kB  00:00:00     
adobe-linux-i386                                                                                           |  951 B  00:00:00     
adobe-linux-x86_64                                                                                         |  951 B  00:00:00     
fedora/19/x86_64/metalink                                                                                  |  32 kB  00:00:00     
rpmfusion-free                                                                                             | 3.3 kB  00:00:00     
rpmfusion-free-updates                                                                                     | 3.3 kB  00:00:00     
rpmfusion-free-updates-testing                                                                             | 3.3 kB  00:00:00     
rpmfusion-nonfree                                                                                          | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates                                                                                  | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates-testing                                                                          | 3.3 kB  00:00:00     
steam                                                                                                      | 3.3 kB  00:00:00     
updates/19/x86_64/metalink                                                                                 |  28 kB  00:00:00     
updates                                                                                                    | 4.6 kB  00:00:00     
updates-testing/19/x86_64/metalink                                                                         |  26 kB  00:00:00     
updates-testing                                                                                            | 4.6 kB  00:00:00     
(1/15): Java_esmska/other                                                                                  |  463 B  00:00:00     
(2/15): updates/19/x86_64/group_gz                                                                         | 384 kB  00:00:00     
(3/15): steam/19/prestodelta                                                                               | 1.1 kB  00:00:00     
(4/15): steam/19/other_db                                                                                  | 2.3 kB  00:00:00     
(5/15): fedora/19/x86_64/prestodelta                                                                       | 1.7 MB  00:00:00     
(6/15): updates/19/x86_64/prestodelta                                                                      | 1.0 MB  00:00:00     
(7/15): updates/19/x86_64/filelists_db                                                                     | 7.2 MB  00:00:01     
(8/15): updates-testing/19/x86_64/group_gz                                                                 | 384 kB  00:00:00     
(9/15): updates/19/x86_64/other_db                                                                         | 2.8 MB  00:00:00     
(10/15): updates-testing/19/x86_64/prestodelta                                                             | 175 kB  00:00:00     
(11/15): updates-testing/19/x86_64/other_db                                                                | 645 kB  00:00:00     
(12/15): updates-testing/19/x86_64/filelists_db                                                            | 1.9 MB  00:00:01     
(13/15): updates-testing/19/x86_64/primary_db                                                              | 1.3 MB  00:00:01     
(14/15): fedora/19/x86_64/other_db                                                                         | 8.2 MB  00:00:05     
(15/15): updates/19/x86_64/primary_db                                                                      | 5.8 MB  00:00:06     
rpmfusion-free-updates/19/x86_ FAILED                                          
http://ftp.upjs.sk/pub/mirrors/rpmfusion.org/free/fedora/updates/19/x86_64/repodata/948e9c3457dd3303e1f67d74dff4225b279fa54bf8a17e7d24bc3b1c64a8b1f2-primary.sqlite.bz2: [Errno 14] HTTP Error 403 - Forbidden
Trying other mirror.
rpmfusion-free-updates/19/x86_ FAILED                                          
http://ftp.upjs.sk/pub/mirrors/rpmfusion.org/free/fedora/updates/19/x86_64/repodata/ab7a3c912fb0c66ba8a2eb2870ebba8a7890800a5f83619eae27e12ffedaf04e-filelists.sqlite.bz2: [Errno 14] HTTP Error 403 - Forbidden
Trying other mirror.
(1/20): adobe-linux-x86_64/other                                                                           | 1.4 kB  00:00:00     
(2/20): rpmfusion-free/19/x86_64/other_db                                                                  | 110 kB  00:00:00     
(3/20): adobe-linux-i386/other                                                                             | 2.0 kB  00:00:00     
(4/20): rpmfusion-free-updates-testing/19/x86_64/other_db                                                  | 2.8 kB  00:00:00     
(5/20): rpmfusion-nonfree-updates/19/x86_64/filelists_db                                                   |  15 kB  00:00:00     
(6/20): rpmfusion-nonfree-updates/19/x86_64/primary_db                                                     |  36 kB  00:00:00     
(7/20): rpmfusion-nonfree-updates/19/x86_64/other_db                                                       |  17 kB  00:00:00     
(8/20): rpmfusion-nonfree-updates-testing/19/x86_64/filelists_db                                           |  12 kB  00:00:00     
(9/20): rpmfusion-free-updates-testing/19/x86_64/primary_db                                                | 8.9 kB  00:00:00     
(10/20): rpmfusion-nonfree-updates-testing/19/x86_64/primary_db                                            |  11 kB  00:00:00     
rpmfusion-nonfree/19/x86_64/ot FAILED                                          
http://ftp.upjs.sk/pub/mirrors/rpmfusion.org/nonfree/fedora/releases/19/Everything/x86_64/os/repodata/b62250d6c8a0ac84ba6e089c50ea1179a2b05b68594dc07d6cf44b67e4b51a35-other.sqlite.bz2: [Errno 14] HTTP Error 403 - Forbidden
Trying other mirror.
rpmfusion-nonfree-updates-test FAILED                                          
http://ftp.upjs.sk/pub/mirrors/rpmfusion.org/nonfree/fedora/updates/testing/19/x86_64/repodata/79b534564b791e0bdd91961928a3353263330f68153511e1b217eb040228390f-other.sqlite.bz2: [Errno 14] HTTP Error 403 - Forbidden
Trying other mirror.
(11/20): updates/19/x86_64/updateinfo                                                                      | 437 kB  00:00:00     
(12/20): rpmfusion-free-updates-testing/19/x86_64/filelists_db                                             | 6.4 kB  00:00:00     
(13/20): rpmfusion-free-updates/19/x86_64/other_db                                                         |  21 kB  00:00:00     
(14/20): updates-testing/19/x86_64/pkgtags                                                                 | 317 kB  00:00:00     
(15/20): rpmfusion-free-updates/19/x86_64/primary_db                                                       |  61 kB  00:00:00     
(16/20): rpmfusion-free-updates/19/x86_64/filelists_db                                                     |  34 kB  00:00:00     
(17/20): updates-testing/19/x86_64/updateinfo                                                              | 128 kB  00:00:00     
(18/20): updates/19/x86_64/pkgtags                                                                         | 317 kB  00:00:00     
(19/20): rpmfusion-nonfree-updates-testing/19/x86_64/other_db                                              | 3.5 kB  00:00:00     
(20/20): rpmfusion-nonfree/19/x86_64/other_db                                                              |  55 kB  00:00:00     
Java_esmska                                                                                                                   3/3
adobe-linux-i386                                                                                                            17/17
adobe-linux-x86_64                                                                                                            2/2
Metadata Cache Created


$ yum search foobarbaz
Loaded plugins: changelog, langpacks, refresh-packagekit
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
Warning: No matches found for: foobarbaz
No matches found


$ sudo yum repolist -v fedora*
Loading "changelog" plugin
Loading "langpacks" plugin
Loading "refresh-packagekit" plugin
Adding en_US to language list
Config time: 0.020
Adding cs to language list
Yum version: 3.4.3
http://linux.dropbox.com/fedora/19/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
Setting up Package Sacks
pkgsack time: 0.019
Repo-id      : fedora/19/x86_64
Repo-name    : Fedora 19 - x86_64
Repo-status  : enabled
Repo-revision: 1372417620
Repo-tags    : binary-x86_64
Repo-distro-tags: [cpe:/o:fedoraproject:fedora:19]: Schrödinger's Cat
Repo-updated : Fri Jun 28 13:44:05 2013
Repo-pkgs    : 36,253
Repo-size    : 36 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=fedora-19&arch=x86_64
  Updated    : Fri Jun 28 13:44:05 2013
Repo-baseurl : http://mirror.hosting90.cz/fedora/linux/releases/19/Everything/x86_64/os/ (87 more)
Repo-expire  : 604,800 second(s) (last: Sun Jul 28 16:12:40 2013)
Repo-filename: ///etc/yum.repos.d/fedora.repo

Repo-id      : updates/19/x86_64
Repo-name    : Fedora 19 - x86_64 - Updates
Repo-status  : enabled
Repo-revision: 1374946267
Repo-tags    : binary-x86_64
Repo-updated : Sat Jul 27 19:46:36 2013
Repo-pkgs    : 9,639
Repo-size    : 9.5 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f19&arch=x86_64
  Updated    : Sat Jul 27 19:46:36 2013
Repo-baseurl : http://ftp.fi.muni.cz/pub/linux/fedora/linux/updates/19/x86_64/ (77 more)
Repo-expire  : 21,600 second(s) (last: Sun Jul 28 16:12:42 2013)
Repo-filename: ///etc/yum.repos.d/fedora-updates.repo

Repo-id      : updates-testing/19/x86_64
Repo-name    : Fedora 19 - x86_64 - Test Updates
Repo-status  : enabled
Repo-revision: 1374965543
Repo-tags    : binary-x86_64
Repo-updated : Sun Jul 28 00:55:25 2013
Repo-pkgs    : 1,941
Repo-size    : 2.8 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f19&arch=x86_64
  Updated    : Sun Jul 28 00:55:25 2013
Repo-baseurl : http://ftp.fi.muni.cz/pub/linux/fedora/linux/updates/testing/19/x86_64/ (64 more)
Repo-expire  : 21,600 second(s) (last: Sun Jul 28 16:12:42 2013)
Repo-filename: ///etc/yum.repos.d/fedora-updates-testing.repo

repolist: 47,833



It seems that `makecache` also fixed the problem.

Please make yum behave more sane - if makecache can correct it, why searching can't?



Version-Release number of selected component (if applicable):
yum-3.4.3-101.fc19.noarch

How reproducible:
I don't know how to reproduce it on will, but it happens at least once a month.
Comment 1 Zdeněk Pavlas 2013-07-29 05:30:26 EDT
> Please make yum behave more sane - if makecache can correct it, why searching can't?

The root cause of this is that Yum caches stale repomd.xml.  Yum locally caches repomd.xml for metadata_expire (6 hours by default).  We can't realistically check for updated repomd.xml on each run.

If all required metadata were fetched with repomd.xml, this is not a problem (you don't see the newest metadata, but searching and depsolving runs fine).  But some metadata types (pkgtags, comps, filelists) are loaded on demand, and when we can't fetch it (becuase it was replaced by newer version), we're screwed.

The right way to handle this is to invalidate local repomd.xml and restart, but when this happens, it's already too late.  Yum code assumes metadata are constant, and we're in the middle of metadata search or depsolving..  In theory, we could use some high-level restart loop, drop everything, and retry, but this was never supported, and I'm sure it'd break most plugins (whoa, why are you initialising me again?), so IMO we can only try to minimize the probablility of this:

a) set smaller metadata_expire (eg 1 hour)

Yum will then refresh repomd.xml more often.  "yum makecache" temporarily sets this to zero, and this "fixes" the problem.

b) use mdpolicy=group:all

When fetching new repomd.xml, yum will also fetch all mdtypes.  It will take longer, but since there's no delay, we will get the same versions, and checksums will match.
Comment 2 Kamil Páral 2013-07-30 07:27:34 EDT
Thanks for explanation. I don't understand one thing: the current date was "Sun Jul 28 16:04:22 CEST 2013". The 'updates' repository said:

>   Updated    : Wed Jul 24 21:35:08 2013
> Repo-expire  : 21,600 second(s) (last: Thu Jul 25 19:14:11 2013)

That's 3-4 days old, not just 6 hours. Why wasn't this repository auto-refreshed before searching? The same goes for 'updates-testing'.


Also, you mention that there are technical difficulties to invalidate repomd.xml and restart everything. So why doesn't yum at least perform the invalidation part? Because currently I could have run "yum search" several times in a row and it always behaved the same (check all repos and report errors for all of them). If process restart is hard, don't do it, but at least invalidate repomd.xml, so that the *next run* refreshes the metadata and works correctly. What do you think?

Also, it would be very helpful to print a message in this case. Something like "The repository contents have changed recently and your local metadata had to be invalidated. Please run this command again."
Comment 3 Zdeněk Pavlas 2013-07-30 08:57:54 EDT
> That's 3-4 days old, not just 6 hours. Why wasn't this repository auto-refreshed before searching?

Oh, right, there were some changes.. http://lists.baseurl.org/pipermail/yum-devel/2013-January/009862.html  Basically the "read-only" commands may not refresh metadata, even if expired.

> So why doesn't yum at least perform the invalidation part?

That might be a good idea.. But: all we know is that we asked a file, and all mirrors 404d (if filenames contain hashes and are unique), or served a file with wrong checksum (otherwise), or were plain down.  This might still mean we should keep our local repository version, just force refreshing it on next run (by unlinking the metadata cookie).  I'll think about it..
Comment 4 Kamil Páral 2013-08-12 04:18:57 EDT
Sorry, but I need to reopen this. I see this problem all the time and yum is simply not usable at its current state.

I haven't used my computer in several days, then I booted it and executed "yum search foo". And I have to wait several minutes to go through dozens of "Metadata file does not match checksum" errors until I see some results. This happens to everybody and it's not what is supposed to happen.

If yum search is not supposed to refresh metadata, why don't you make it work like "--cacheonly"? Because --cacheonly works great, no errors, no delay.

I really believe that this should either be fixed (implement process restart, use --cacheonly approach, or something else), or the January commit should be reverted. You traded reliability for slight speed improvement in certain cases, but you broke the rest. Sorry to say so.
Comment 5 Fedora Update System 2013-08-13 11:08:39 EDT
yum-3.4.3-106.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-106.fc19
Comment 6 Fedora Update System 2013-08-14 23:05:47 EDT
Package yum-3.4.3-106.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-106.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14811/yum-3.4.3-106.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-15 19:29:53 EDT
yum-3.4.3-106.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Trevor Cordes 2013-08-18 12:52:39 EDT
This bug just bit me, on the errata version.  I've never seen it before in my life, on a dozen Fedora machines, so it is very new.  I've only been running F19 for about 2 weeks.

yum-3.4.3-106.fc19.noarch

updates/19i386pkgtags                                                                                                                               | 383 kB  00:00:00     
http://mirror.cpsc.ucalgary.ca/mirror/fedora/linux/updates/19/i386/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/19/i386/pkgtags                                                                                                                               | 381 kB  00:00:00     
http://mirror.web-ster.com/fedora/updates/19/i386/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
[...]


yum clean all corrects the problem for me.  A lot of newbie users don't know about "clean" and would be stuck without updates happening.
Comment 9 Kamil Páral 2013-08-20 05:17:49 EDT
Reopening per comment 8.

Trevor, what was the command that you ran?
Comment 10 Trevor Cordes 2013-08-25 02:37:21 EDT
Ooh, I'm pretty sure it was just

yum update

but it might have been

yum install <whatever>

It was nothing fancy.  I haven't seen the bug again since but I can report back when I do.  What data should I collect when it does happen?
Comment 11 Zdeněk Pavlas 2013-08-26 03:36:16 EDT
I'd need to know the mdtype Yum was requesting (it's pkgtags.sqlite.gz in comment 8).  Other interesting thing is the timestamp of /var/cache/yum/i386/19/updates/metadata_cookie file (when Yum checked that repo last time), and the version of Yum used at that time.  Since yum-3.4.3-106.fc19 pkgtags should download with the new repomd.xml and thus should always match it.

(What has changed in -106 is the policy used at time new repomd.xml is downloaded, but the bug manifests when pkgtags on mirrors is replaced with *newer* version few days later).
Comment 12 Peter Backes 2013-09-25 00:09:18 EDT
Just ten minutes ago with yum-3.4.3-106.fc19.noarch:

% sudo yum update
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
adobe-linux-i386                                         |  951 B     00:00     
fedora/19/i386/metalink                                  |  33 kB     00:00     
rpmfusion-free                                           | 3.3 kB     00:00     
rpmfusion-free-updates                                   | 3.3 kB     00:00     
rpmfusion-nonfree                                        | 3.3 kB     00:00     
rpmfusion-nonfree-updates                                | 3.3 kB     00:00     
steam                                                    | 3.3 kB     00:00     
updates/19/i386/metalink                                 |  25 kB     00:00     
updates                                                  | 4.6 kB     00:00     
updates/19/i386/primary_db                                 | 7.3 MB   00:02     
updates/19/i386/pkgtags        FAILED                                           
http://ftp.nluug.nl/pub/os/Linux/distr/fedora/linux/updates/19/i386/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
(1/2): updates/19/i386/updateinfo                          | 998 kB   00:00     
updates/19/i386/pkgtags        FAILED                                           
http://mirror.muntinternet.net/pub/fedora/linux/updates/19/i386/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
(2/2): updates/19/i386/pkgtags                             | 600 kB   00:00     
Loading mirror speeds from cached hostfile
 * fedora: mirror.1000mbps.com
 * rpmfusion-free: ftp.nluug.nl
 * rpmfusion-free-updates: ftp.nluug.nl
 * rpmfusion-nonfree: ftp.nluug.nl
 * rpmfusion-nonfree-updates: ftp.nluug.nl
 * updates: mirror.1000mbps.com
Resolving Dependencies
--> Running transaction check
---> Package keyutils.i686 0:1.5.5-4.fc19 will be updated
---> Package keyutils.i686 0:1.5.6-1.fc19 will be an update
---> Package keyutils-libs.i686 0:1.5.5-4.fc19 will be updated
---> Package keyutils-libs.i686 0:1.5.6-1.fc19 will be an update
---> Package keyutils-libs-devel.i686 0:1.5.5-4.fc19 will be updated
---> Package keyutils-libs-devel.i686 0:1.5.6-1.fc19 will be an update
---> Package procps-ng.i686 0:3.3.8-8.fc19 will be updated
---> Package procps-ng.i686 0:3.3.8-10.fc19 will be an update
---> Package qt.i686 1:4.8.5-5.fc19 will be updated
---> Package qt.i686 1:4.8.5-8.fc19 will be an update
---> Package qt-devel.i686 1:4.8.5-5.fc19 will be updated
---> Package qt-devel.i686 1:4.8.5-8.fc19 will be an update
---> Package qt-qdbusviewer.i686 1:4.8.5-5.fc19 will be updated
---> Package qt-qdbusviewer.i686 1:4.8.5-8.fc19 will be an update
---> Package qt-x11.i686 1:4.8.5-5.fc19 will be updated
---> Package qt-x11.i686 1:4.8.5-8.fc19 will be an update
---> Package selinux-policy.noarch 0:3.12.1-74.3.fc19 will be updated
---> Package selinux-policy.noarch 0:3.12.1-74.4.fc19 will be an update
---> Package selinux-policy-devel.noarch 0:3.12.1-74.3.fc19 will be updated
---> Package selinux-policy-devel.noarch 0:3.12.1-74.4.fc19 will be an update
---> Package selinux-policy-doc.noarch 0:3.12.1-74.3.fc19 will be updated
---> Package selinux-policy-doc.noarch 0:3.12.1-74.4.fc19 will be an update
---> Package selinux-policy-targeted.noarch 0:3.12.1-74.3.fc19 will be updated
---> Package selinux-policy-targeted.noarch 0:3.12.1-74.4.fc19 will be an update
---> Package sqlite.i686 0:3.7.17-1.fc19 will be updated
---> Package sqlite.i686 0:3.8.0-2.fc19 will be an update
---> Package sqlite-devel.i686 0:3.7.17-1.fc19 will be updated
---> Package sqlite-devel.i686 0:3.8.0-2.fc19 will be an update
---> Package yum-langpacks.noarch 0:0.4.0-3.fc19 will be updated
---> Package yum-langpacks.noarch 0:0.4.1-1.fc19 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch       Version               Repository   Size
================================================================================
Updating:
 keyutils                    i686       1.5.6-1.fc19          updates      52 k
 keyutils-libs               i686       1.5.6-1.fc19          updates      24 k
 keyutils-libs-devel         i686       1.5.6-1.fc19          updates      37 k
 procps-ng                   i686       3.3.8-10.fc19         updates     266 k
 qt                          i686       1:4.8.5-8.fc19        updates     4.6 M
 qt-devel                    i686       1:4.8.5-8.fc19        updates      10 M
 qt-qdbusviewer              i686       1:4.8.5-8.fc19        updates      56 k
 selinux-policy              noarch     3.12.1-74.4.fc19      updates     286 k
 selinux-policy-devel        noarch     3.12.1-74.4.fc19      updates     2.6 M
 selinux-policy-doc          noarch     3.12.1-74.4.fc19      updates     787 k
 selinux-policy-targeted     noarch     3.12.1-74.4.fc19      updates     4.0 M
 sqlite                      i686       3.8.0-2.fc19          updates     401 k
 sqlite-devel                i686       3.8.0-2.fc19          updates     105 k
 yum-langpacks               noarch     0.4.1-1.fc19          updates      27 k
Updating for dependencies:
 qt-x11                      i686       1:4.8.5-8.fc19        updates      13 M

Transaction Summary
================================================================================
Upgrade  14 Packages (+1 Dependent package)

Total download size: 36 M
Comment 13 Zdeněk Pavlas 2013-09-25 04:07:21 EDT
(In reply to Peter Backes from comment #12)

> Just ten minutes ago with yum-3.4.3-106.fc19.noarch:
> updates                                                  | 4.6 kB     00:00     
> updates/19/i386/primary_db                               | 7.3 MB   00:02 
> updates/19/i386/pkgtags        FAILED                                       

This is not a bug.. First two mirrors had wrong pkgtags file, but the third mirror had one that matched, so we used it and didn't fail.

The important thing (that fixes this problem in most cases) is that pkgtags are now downloaded eagerly, at the same time we download repomd.xml, where checksums are stored.
Comment 14 Kamil Páral 2013-09-25 10:35:30 EDT
Zdeněk, I wonder, what happens if someone runs "yum provides */foo" with outdated metadata? We fixed it for search, which needs pkgtags, but what about other metadata files used in other "read-only" commands?
Comment 15 Zdeněk Pavlas 2013-09-25 10:58:05 EDT
Yes, it's fixed for groups and pkgtags only (these are small and fairly often needed). Filelists are still a problem, but these are not needed too often.  AFAIK relengs do try to make all packages resolvable without using filelists.

I'd implement the repomd.xml invalidation (it's easy, just unlink the cachecookie), but I still don't know of a reliable way to detect that our repomd.xml is outdated.

Note that the SAME symptoms (file does not exist or does not match repomd.xml) can have two different causes- either our repomd.xml is too new (then we should just wait), or it's stale (then we should drop it)
Comment 16 Kamil Páral 2013-09-25 11:10:12 EDT
If you ask mirrors.fp.o and compare the received metalink with the one on the disk, it should be possible to distinguish the two cases? If it has the same timestamp, then continue looking for a matching mirror. If it is newer, then drop the old one and search again.

By default, just try a handful or mirrors. If N or more of them fail to provide you with necessary files, perform the steps described above.
Comment 17 Zdeněk Pavlas 2013-09-26 04:40:16 EDT
> If you ask mirrors.fp.o and compare the received metalink

I can't. At the very beginning we've decided that the cached metalink is good enough, so we didn't contact mirrors.fp.o.

Maybe always invalidating the cached metalink/repomd when metadata request fails is a way to go. If repomd was really behind, it cures the problem on next run.  And when repomd was current, re-loading it is futile, but it does not hurt (much).

I'll try to come up with some imlementation..
Comment 18 Zdeněk Pavlas 2013-09-30 09:27:04 EDT
After digging more into the current code, I've found that there is already such feature implemented.  When the message "One of the configured repositories failed.." is shown, all cached metadata are set as expired by unlinking all "cachecookie" and "mirrorlist" files.

I think that Yum should invalidate only the repository that failed, and not all of them, but this indeed fixes the problem on next run, too.
Comment 19 charles harris 2014-01-20 16:15:17 EST
It is strange that this report is closed. The problem persists in Fedora 20 and I can't even ^C out of it anymore, I have to kill the yum process. Nor does yum clean all solve the problem.
Comment 20 Zdeněk Pavlas 2014-01-21 04:26:08 EST
Please, be more specific. I believe the problem with downloading obsoleted pkgtags and failing with a checksum was fixed- now we download pkgtags immediately when repomd.xml changes.

If you see metadata checksum errors right after downloading new repomd.xml (that's always the case if you've run "yum clean"), it's mirror replication problem we probably can't fix in Yum.
Comment 21 Daniel Miranda 2014-01-26 17:32:54 EST
I'm seeing the same issue occasionally, and if it is a mirror issue it is a widespread one, because I see yum try all available mirrors and fail in the same way for the main fedora repo.

Sorry if I'm talking out of my ass, but wouldn't using an HTTP If-Modified-Since check for the repository metadata work for avoiding ever having stale data?

$ yum search whatever
Loaded plugins: fastestmirror, langpacks, priorities, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.globo.com
 * rpmfusion-free: mirror.nexcess.net
 * rpmfusion-free-updates: mirror.nexcess.net
 * rpmfusion-nonfree: mirror.nexcess.net
 * rpmfusion-nonfree-updates: mirror.nexcess.net
 * updates: mirror.globo.com
14 packages excluded due to repository priority protections
updates/20/x86_64/pkgtags                                                                                                                             | 803 kB  00:00:25     
http://ftp.uni-siegen.de/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/20/x86_64/pkgtags                                                                                                                             | 803 kB  00:00:32     
http://be.mirror.eurid.eu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/20/x86_64/pkgtags                                                                                                                             | 803 kB  00:00:06     
http://mirror.aarnet.edu.au/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/20/x86_64/pkgtags                                                                                                                             | 803 kB  00:00:02     
http://dl.fedoraproject.org/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/20/x86_64/pkgtags                                                                                                                             | 803 kB  00:00:02     
http://mirror.netcologne.de/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^Chttp://mirror.digitalnova.at/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/20/x86_64/pkgtags                                                                                                                             | 803 kB  00:00:06     
http://mirrors.cat.pdx.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^Chttp://fedora.intergenia.de/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^Chttp://ftp.colocall.net/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^Chttp://ftp.up.pt/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^C^C^C
 Current download cancelled, interrupt (ctrl-c) again within two seconds
to exit.

^Chttp://virror.hanoilug.org/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^C^Chttp://fedora.aau.at/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^C^C^C^C^C

Exiting on user cancel
^C
Comment 22 Daniel Miranda 2014-01-26 17:35:11 EST
Sorry that I forgot to mention the yum version.

yum-3.4.3-132.fc20.noarch
Comment 23 rene 2014-01-27 02:34:13 EST
+1

yum-3.4.3-130.fc20.noarch , same problem with latest ( as Daniel Miranda reports, yum-3.4.3-132.fc20.noarch

CTRL-C is not working unless you hold it for quite a few seconds.

Excerpt:
8<=================================================
[rene@rene-laptop ~]$ sudo yum clean all
[sudo] password for rene: 
Loaded plugins: langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 fedora google-chrome playonlinux rpmfusion-free rpmfusion-free-updates rpmfusion-nonfree rpmfusion-nonfree-updates updates
Cleaning up everything
[rene@rene-laptop ~]$ yum search virtualbox
Loaded plugins: langpacks, refresh-packagekit
updates/20/x86_64/pkgtags                                                                                                                        | 803 kB  00:00:00     
http://mirror.sov.uk.goscomb.net/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.

...
...

updates/20/x86_64/pkgtags                                                                                                                        | 803 kB  00:00:01     
ftp://ftp.proxad.net/mirrors/fedora.redhat.com/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
http://ftp.itu.edu.tr/Mirror/Fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno 12] Timeout on http://ftp.itu.edu.tr/Mirror/Fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')
Trying other mirror.
^C
 Current download cancelled, interrupt (ctrl-c) again within two seconds
to exit.

^C^C
ftp://ftp.linux.edu.lv/mirrors/ftp.redhat.com/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/20/x86_64/pkgtags                                                                                                                        | 803 kB  00:00:01     
http://fedora.mirror.garr.it/mirrors/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^C^C^Chttp://darkstar.ist.utl.pt/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
updates/20/x86_64/pkgtags                                                                                                                        | 803 kB  00:00:01     
http://mirror.nonstop.co.il/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C^C

Exiting on user cancel
[rene@rene-laptop ~]$
8<======================================================

This behaviour has been like this ever so often since I've freshly installed FC20.
Please note that yum complains about the official fedora updates mirrors, not some 3rd party repo.
Comment 24 Zdeněk Pavlas 2014-01-27 03:25:44 EST
> [rene@rene-laptop ~]$ sudo yum clean all ...

This throws away the ROOT cache. Yum then has to re-download everything, including files that didn't change at all (eg the fedora repository).  To force instant metadata update, running "yum makecache" is a much better option.

> [rene@rene-laptop ~]$ yum search virtualbox

The "yum clean" above didn't clean the USER cache.  Now Yum uses the cached repomd.xml and primary_db.sqlite for the "updates" repository.

> Loaded plugins: langpacks, refresh-packagekit
> updates/20/x86_64/pkgtags           | 803 kB  00:00:00

This should not be happening- With the default mdpolicy setting Yum now downloads pkgtags with primary_db, *not* on demand as in this case.  Please check that you are not using a custom mdpolicy setting in yum.conf.  Something like "mdpolicy=group:primary" might cause this.  Please check your yum.conf

> Current download cancelled, interrupt (ctrl-c) again within two seconds
to exit.
> ^C^C^C^C^C^C^C^C^C

On-demand metadata downloads do not use the new "forking" downloader, so it's much harder to abort this. Should get better with python-urlgrabber-3.10.1.
Comment 25 Daniel Miranda 2014-02-06 13:28:36 EST
Different machine and now I'm completely stuck: I cannot do any yum operations due to metadata errors. 'yum clean all' does not help. I didn't bother copying the whole list of failing repos but I let it go all the way through an none worked. yum version is a bit older. In fact my goal was to bring everything up-to-date.

yum-3.4.3-119.fc20.noarch at 2013-12-06 16:28

$ yum clean all
Loaded plugins: langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 bumblebee bumblebee-nonfree fedora google-chrome infinality infinality-noarch rpmfusion-free-rawhide
              : rpmfusion-nonfree-rawhide updates
Cleaning up everything

$ sudo yum clean all
Loaded plugins: langpacks, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 bumblebee bumblebee-nonfree fedora google-chrome infinality infinality-noarch rpmfusion-free-rawhide
              : rpmfusion-nonfree-rawhide updates
Cleaning up everything

$ sudo yum update
Loaded plugins: langpacks, refresh-packagekit
adobe-linux-x86_64                                                                                                             |  951 B  00:00:00     
bumblebee                                                                                                                      | 2.9 kB  00:00:00     
bumblebee-nonfree                                                                                                              | 2.9 kB  00:00:00     
fedora/20/x86_64/metalink                                                                                                      | 1.9 kB  00:00:00     
fedora                                                                                                                         | 3.8 kB  00:00:00     
google-chrome                                                                                                                  |  951 B  00:00:00     
infinality                                                                                                                     | 2.9 kB  00:00:00     
infinality-noarch                                                                                                              | 2.9 kB  00:00:00     
rpmfusion-free-rawhide                                                                                                         | 3.3 kB  00:00:00     
rpmfusion-nonfree-rawhide                                                                                                      | 3.3 kB  00:00:00     
updates/20/x86_64/metalink                                                                                                     |  43 kB  00:00:00     
updates                                                                                                                        | 4.6 kB  00:00:00     
http://fedora.c3sl.ufpr.br/linux/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                        | 4.6 kB  00:00:00     
http://ftp.kaist.ac.kr/fedora/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                        | 4.6 kB  00:00:00     
http://fedora.mirror.root.lu/updates/20/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
Comment 26 James Boyle 2014-02-06 15:25:03 EST
Failed to add Pkg Tags for repository: updates - failure: repodata/pkgtags.sqlite.gz from updates: [Errno 256] No more mirrors to try.
http://mirror.symnds.com/distributions/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirrors.mit.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.us.leaseweb.net/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.nexcess.net/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.pnl.gov/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://linux.mirrors.es.net/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.cc.vt.edu/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.umd.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://ftp.linux.ncsu.edu/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://fedora.osuosl.org/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
ftp://ftp.osuosl.org/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://fedora.mirror.lstn.net/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
ftp://mirror.lstn.net/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.steadfast.net/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirrors.servercentral.net/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.fdcservers.net/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirrors.kernel.org/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.metrocast.net/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.east.ig2ad.com/Fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://fedora.mirrors.tds.net/pub/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://fedora.mirror.constant.com/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirrors.rit.edu/fedora/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
ftp://ftp.uci.edu/mirrors/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.chpc.utah.edu/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.utexas.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.uoregon.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://www.gtlib.gatech.edu/pub/fedora.redhat/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
ftp://ftp.gtlib.gatech.edu/pub/fedora.redhat/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://lug.mtu.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.anl.gov/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://kdeforge2.unl.edu/mirrors/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://kdeforge.unl.edu/mirrors/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.unl.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.ancl.hawaii.edu/linux/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.seas.harvard.edu/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.west.ig2ad.com/Fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://dl.fedoraproject.org/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://fedora.mirror.nexicom.net/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
ftp://mirror.nexicom.net/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno 14] curl#7 - "Failed to connect to 2607:f1f0:1:3::2: Network is unreachable"
http://fedora.mirror.gtcomm.net/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://fedora.bhs.mirrors.ovh.net/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://less.cogeco.net/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
ftp://ftp.cogeco.net/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno 12] Timeout on ftp://ftp.cogeco.net/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: (28, '')
http://fedora.mirror.iweb.com/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.its.dal.ca/pub/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.its.sfu.ca/mirror/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.cpsc.ucalgary.ca/mirror/fedora/linux/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
http://mirror.web-ster.com/fedora/updates/20/x86_64/repodata/pkgtags.sqlite.gz: [Errno -1] Metadata file does not match checksum
Comment 27 Daniel Miranda 2014-02-07 10:42:48 EST
My second problem was fixed by a manual yum upgrade, so please disregard it since it does not apply to this particular bug. Just to be clear, the intermittent checksum errors are still present unfortunately.
Comment 28 Joël Schaerer 2014-02-19 06:27:34 EST
What info do you need exactly? I have this problem once every week on average, so I guess I can provide any info you'd like.

I just tried "yum makecache" and it fixed the issue for now.
Comment 29 rene 2014-06-30 07:22:52 EDT
Have not seen this problem for some time now.
Comment 30 Trevor Cordes 2014-07-01 18:03:16 EDT
I haven't seen this for months either.
Comment 31 Fedora End Of Life 2015-01-09 17:13:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 32 Fedora End Of Life 2015-02-18 09:02:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.